package com.example.aeropuertoback.service.agente;

import com.example.aeropuertoback.dao.IAgenteDAO;
import com.example.aeropuertoback.entity.AgenteReserva;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AgenteServiceImpl implements IAgenteService{
    @Autowired
    private IAgenteDAO agenteDAO;

    @Override
    public List<AgenteReserva> findAll() {
        return (List<AgenteReserva>)agenteDAO.findAll();
    }

    @Override
    public AgenteReserva save(AgenteReserva agenteReserva) {
        return agenteDAO.save(agenteReserva);
    }

    @Override
    public AgenteReserva findOne(Integer id) {
        return agenteDAO.findById(id).orElse(null);
    }

    @Override
    public void delete(Integer id) {
        agenteDAO.deleteById(id);
    }
}
