package com.example.aeropuertoback.controller;

import com.example.aeropuertoback.entity.AgentesAuth;
import com.example.aeropuertoback.service.agenteAuth.IAgenteAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import java.util.List;

@CrossOrigin(origins = "http://localhost:4200")
@RestController
@RequestMapping(value = "/agentes-auth")
public class AgenteAuthController {

    @Autowired
    private IAgenteAuthService iAgenteAuthService;

    @GetMapping(value = "/listar")
    public List<AgentesAuth> listar(){
        return iAgenteAuthService.findAll();
    }

    @PostMapping(value = "/agregar", consumes = MediaType.APPLICATION_JSON_VALUE)
    public AgentesAuth guardarPasajero(@RequestBody AgentesAuth agentesAuth){
        return iAgenteAuthService.save(agentesAuth);
    }
}
