package com.example.aeropuertoback.service.aeropuerto;

import com.example.aeropuertoback.dao.IAeropuertoDAO;
import com.example.aeropuertoback.entity.Aeropuerto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AeropuertoServiceImpl implements IAeropuertoService {

    @Autowired
    private IAeropuertoDAO aeropuertoDAO;

    @Override
    public List<Aeropuerto> findAll() {
        return (List<Aeropuerto>)aeropuertoDAO.findAll();
    }

    @Override
    public Aeropuerto save(Aeropuerto aeropuerto) {
        return aeropuertoDAO.save(aeropuerto);
    }

    @Override
    public Aeropuerto findOne(Integer id) {
        return aeropuertoDAO.findById(id).orElse(null);
    }

    @Override
    public void delete(Integer id) {
        aeropuertoDAO.deleteById(id);
    }
}
