package com.example.aeropuertoback.service.agenteAuth;

import com.example.aeropuertoback.dao.IAgenteAuthDAO;
import com.example.aeropuertoback.dao.IPasajeroAuthDAO;
import com.example.aeropuertoback.entity.AgentesAuth;
import com.example.aeropuertoback.entity.PasajeroAuth;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class AgenteAuthServiceImpl implements IAgenteAuthService{

    @Autowired
    private IAgenteAuthDAO agenteAuthDAO;

    @Override
    @Transactional(readOnly=true)
    public List<AgentesAuth> findAll() {
        return (List<AgentesAuth>)agenteAuthDAO.findAll();
    }

    @Override
    public AgentesAuth save(AgentesAuth agentesAuth) {
        return agenteAuthDAO.save(agentesAuth);
    }

}
