package com.example.aeropuertoback.service.pasajeroAuth;

import com.example.aeropuertoback.dao.IPasajeroAuthDAO;
import com.example.aeropuertoback.entity.PasajeroAuth;
import com.example.aeropuertoback.entity.Vuelo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class PasajeroAuthAuthServiceImpl implements IPasajeroAuthService {

    @Autowired
    private IPasajeroAuthDAO pasajeroAuthDAO;

    @Override
    @Transactional(readOnly=true)
    public List<PasajeroAuth> findAll() {
        return (List<PasajeroAuth>)pasajeroAuthDAO.findAll();
    }

    @Override
    public PasajeroAuth save(PasajeroAuth pasajeroAuth) {
        return pasajeroAuthDAO.save(pasajeroAuth);
    }
}
